# halftone3.cpp File Reference

Implementation of the "Halftone 3" layer. More...

`#include "halftone3.h"`
`#include "halftone.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`

## Defines

#define | HALFSQRT2 (0.7)
#define | SQRT2 (1.414213562f)
#define | matrix inverse_matrix

## Functions

| SYNFIG_LAYER_INIT (Halftone3)
| SYNFIG_LAYER_SET_NAME (Halftone3,"halftone3")
| SYNFIG_LAYER_SET_LOCAL_NAME (Halftone3, N_("Halftone 3"))
| SYNFIG_LAYER_SET_CATEGORY (Halftone3, N_("Filters"))
| SYNFIG_LAYER_SET_VERSION (Halftone3,"0.0")
| SYNFIG_LAYER_SET_CVS_ID (Halftone3,"$Id$")

## Detailed Description

Implementation of the "Halftone 3" layer.

$Id$

## Define Documentation

#define HALFSQRT2 (0.7)

#define SQRT2 (1.414213562f)

#define matrix inverse_matrix

## Function Documentation

SYNFIG_LAYER_INIT | ( | Halftone3 |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Halftone3 | ,
|  | "halftone3" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Halftone3 | ,
|  | N_("Halftone 3") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Halftone3 | ,
|  | N_("Filters") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Halftone3 | ,
|  | "0.0" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Halftone3 | ,
|  | "$Id$" |  |
| ) |  |  |